summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Reza Talebi2022-04-05 15:55:54 +0200
committer Willy Sudiarto Raharjo2022-04-09 10:45:46 +0200
commite00e2f8ac79deb0f434d72a98c996a7b1532e901 (patch)
treec3281e1159681622311de24ddf528ed90d7e287e /network
parentf9b1a88932061d5cf0c72bd4eb6bf6144dd2023f (diff)
downloadslackbuilds-e00e2f8ac79deb0f434d72a98c996a7b1532e901.tar.gz
network/microsoft-edge: Added (browser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/microsoft-edge/README3
-rw-r--r--network/microsoft-edge/doinst.sh13
-rw-r--r--network/microsoft-edge/microsoft-edge.SlackBuild98
-rw-r--r--network/microsoft-edge/microsoft-edge.info10
-rw-r--r--network/microsoft-edge/slack-desc19
-rw-r--r--network/microsoft-edge/updater.diff63
6 files changed, 206 insertions, 0 deletions
diff --git a/network/microsoft-edge/README b/network/microsoft-edge/README
new file mode 100644
index 0000000000..c2eef051fa
--- /dev/null
+++ b/network/microsoft-edge/README
@@ -0,0 +1,3 @@
+Microsoft Edge is a cross-platform web browser created and
+developed by Microsoft. It is based on Chromium and offers a fast,
+reliabe and secure browsing experience.
diff --git a/network/microsoft-edge/doinst.sh b/network/microsoft-edge/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/network/microsoft-edge/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/microsoft-edge/microsoft-edge.SlackBuild b/network/microsoft-edge/microsoft-edge.SlackBuild
new file mode 100644
index 0000000000..4e3fa4231b
--- /dev/null
+++ b/network/microsoft-edge/microsoft-edge.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/bash
+#
+# Slackware build script for microsoft-edge.
+#
+# Copyright 2021 Reza Talebi, Shahin Shahr, Iran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Pouria Rezaei <Pouria.rz@outlook.com>
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=microsoft-edge
+SRCNAM=$PRGNAM-stable-bin
+VERSION=${VERSION:-100.0.1185.29}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+set -e
+
+if [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar -I zstd -xvf $CWD/${SRCNAM}-${VERSION}-${BUILD}-${ARCH}.pkg.tar.zst
+
+mkdir usr/lib64
+mv opt/microsoft/msedge usr/lib64/
+
+# Move man where the man likes
+mv usr/share/man usr/
+
+rm -fR etc opt
+patch -p1 < "$CWD/updater.diff"
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mv * $PKG/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/microsoft-edge/microsoft-edge.info b/network/microsoft-edge/microsoft-edge.info
new file mode 100644
index 0000000000..1f15431cbe
--- /dev/null
+++ b/network/microsoft-edge/microsoft-edge.info
@@ -0,0 +1,10 @@
+PRGNAM="microsoft-edge"
+VERSION="100.0.1185.29"
+HOMEPAGE="https://www.microsoft.com/edge"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://builds.garudalinux.org/repos/chaotic-aur/x86_64/microsoft-edge-stable-bin-100.0.1185.29-1-x86_64.pkg.tar.zst"
+MD5SUM_x86_64="d16100ad7144ec1aceffec9e517091e8"
+REQUIRES=""
+MAINTAINER="Reza Talebi"
+EMAIL="reza.talebi.73@outlook.com"
diff --git a/network/microsoft-edge/slack-desc b/network/microsoft-edge/slack-desc
new file mode 100644
index 0000000000..7db5b3f1fc
--- /dev/null
+++ b/network/microsoft-edge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+microsoft-edge: microsoft-edge (A fast and secure cross-platform web browser)
+microsoft-edge:
+microsoft-edge: Microsoft Edge is a cross-platform web browser created and
+microsoft-edge: developed by Microsoft. It is based on Chromium and offers a fast,
+microsoft-edge: reliabe and secure browsing experience.
+microsoft-edge:
+microsoft-edge:
+microsoft-edge: Home page: https://www.microsoft.com/edge
+microsoft-edge:
+microsoft-edge:
+microsoft-edge:
diff --git a/network/microsoft-edge/updater.diff b/network/microsoft-edge/updater.diff
new file mode 100644
index 0000000000..ca209b07f2
--- /dev/null
+++ b/network/microsoft-edge/updater.diff
@@ -0,0 +1,63 @@
+diff --git a/usr/bin/microsoft-edge-stable b/usr/bin/microsoft-edge-stable
+index c0ec973..b8c06ea 100755
+--- a/usr/bin/microsoft-edge-stable
++++ b/usr/bin/microsoft-edge-stable
+@@ -12,4 +12,4 @@ if [ -r "${XDG_CONFIG_HOME}/microsoft-edge-stable-flags.conf" ]; then
+ EDGE_USER_FLAGS="$(cat "$XDG_CONFIG_HOME/microsoft-edge-stable-flags.conf")"
+ fi
+
+-exec /opt/microsoft/msedge/microsoft-edge $EDGE_USER_FLAGS "$@"
++exec /usr/lib64/msedge/microsoft-edge $EDGE_USER_FLAGS "$@"
+diff --git a/usr/lib64/msedge/default-app-block b/usr/lib64/msedge/default-app-block
+index 7ac7165..7ad030e 100644
+--- a/usr/lib64/msedge/default-app-block
++++ b/usr/lib64/msedge/default-app-block
+@@ -1,10 +1,10 @@
+ <web-browser>
+ <name>Microsoft Edge</name>
+- <executable>/opt/microsoft/msedge/microsoft-edge</executable>
+- <command>/opt/microsoft/msedge/microsoft-edge %s</command>
++ <executable>/usr/lib64/msedge/microsoft-edge</executable>
++ <command>/usr/lib64/msedge/microsoft-edge %s</command>
+ <icon-name>microsoft-edge</icon-name>
+ <run-in-terminal>false</run-in-terminal>
+ <netscape-remote>true</netscape-remote>
+- <tab-command>/opt/microsoft/msedge/microsoft-edge %s</tab-command>
+- <win-command>/opt/microsoft/msedge/microsoft-edge --new-window %s</win-command>
++ <tab-command>/usr/lib64/msedge/microsoft-edge %s</tab-command>
++ <win-command>/usr/lib64/msedge/microsoft-edge --new-window %s</win-command>
+ </web-browser>
+diff --git a/usr/share/gnome-control-center/default-apps/microsoft-edge.xml b/usr/share/gnome-control-center/default-apps/microsoft-edge.xml
+index 80dec09..fbdf731 100644
+--- a/usr/share/gnome-control-center/default-apps/microsoft-edge.xml
++++ b/usr/share/gnome-control-center/default-apps/microsoft-edge.xml
+@@ -8,13 +8,13 @@
+ <web-browsers>
+ <web-browser>
+ <name>Microsoft Edge</name>
+- <executable>/opt/microsoft/msedge/microsoft-edge</executable>
+- <command>/opt/microsoft/msedge/microsoft-edge %s</command>
++ <executable>/usr/lib64/msedge/microsoft-edge</executable>
++ <command>/usr/lib64/msedge/microsoft-edge %s</command>
+ <icon-name>microsoft-edge</icon-name>
+ <run-in-terminal>false</run-in-terminal>
+ <netscape-remote>true</netscape-remote>
+- <tab-command>/opt/microsoft/msedge/microsoft-edge %s</tab-command>
+- <win-command>/opt/microsoft/msedge/microsoft-edge --new-window %s</win-command>
++ <tab-command>/usr/lib64/msedge/microsoft-edge %s</tab-command>
++ <win-command>/usr/lib64/msedge/microsoft-edge --new-window %s</win-command>
+ </web-browser>
+ </web-browsers>
+ </default-apps>
+diff --git a/usr/share/menu/microsoft-edge.menu b/usr/share/menu/microsoft-edge.menu
+index c266f74..7871356 100644
+--- a/usr/share/menu/microsoft-edge.menu
++++ b/usr/share/menu/microsoft-edge.menu
+@@ -2,5 +2,5 @@
+ section="Applications/Network/Web Browsing" \
+ hints="Web browsers" \
+ title="Microsoft Edge" \
+- icon="/opt/microsoft/msedge/product_logo_32.xpm" \
+- command="/opt/microsoft/msedge/microsoft-edge"
++ icon="/usr/lib64/msedge/product_logo_32.xpm" \
++ command="/usr/lib64/msedge/microsoft-edge"